org.eclipse.viatra.transformation.evm.api

## Class DefaultActivationNotificationListener

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.api.DefaultActivationNotificationListener

- All Implemented Interfaces:
    IActivationNotificationListener

      public final class DefaultActivationNotificationListener
      extends java.lang.Object
      implements IActivationNotificationListener

  This class is responsible for handling notifications sent by rule instances when an activation changes state. By default, the listener logs the change event and refreshes the activation collections.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activationChanged(Activation<?> activation, ActivationState oldState, EventType event)` This method is called by `ActivationNotificationProvider` to relay changes to listeners.
    `void` | `activationCreated(Activation<?> activation, ActivationState inactiveState)`
    `void` | `activationRemoved(Activation<?> activation, ActivationState oldState)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### activationChanged

          public void activationChanged(Activation<?> activation,
                                        ActivationState oldState,
                                        EventType event)

      Description copied from interface: `IActivationNotificationListener`
      This method is called by `ActivationNotificationProvider` to relay changes to listeners.

      Implementing classes can use the old state, the event, and the new state (available from the activation).
      Specified by:
        `activationChanged` in interface `IActivationNotificationListener`

    - #### activationCreated

          public void activationCreated(Activation<?> activation,
                                        ActivationState inactiveState)

      Specified by:
        `activationCreated` in interface `IActivationNotificationListener`

    - #### activationRemoved

          public void activationRemoved(Activation<?> activation,
                                        ActivationState oldState)

      Specified by:
        `activationRemoved` in interface `IActivationNotificationListener`